Bug 16318 - preferences bug or feature
preferences bug or feature
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-08-16 04:42 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-16 04:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-08-16 04:42:03 EDT
There is either a very nasty bug or a very undersirable (to me) feature in

I started gnorpm from a terminal at which I had su'ed to root.  I then
invoked the gnorpm help and browsed through that.  I noticed that there was
a "preferences" capability.  Since I was looking how to set where gnorpm
would look for rpm's instead of /mnt/cdrom/RedHat/RPMS.  So I clicked on
the operations->preferences menu item.  That is when all hell broke loose

The screen started flashing panels and I got the following on the terminal

LibFind-Message: downloading
LibFind-Message: downloading
LibFind-Message: downloading
LibFind-Message: downloading
LibFind-Message: downloading
AND LOTS MORE until I was able to ^c the silly program!

What is going on??  Not only was this complete unexpected but why is it
going out the a redhat server???

I am marking this high priority and high severity because it was so
Comment 1 Gene Czarcinski 2000-08-16 04:53:37 EDT
OK, I confirmed that I can repeat this.

Also, if I disable my network connection, the preferences panel comes up. 
However, it still tried to do this crazy stuff.  I got a message on the terminal
about trying to get to www.redhat.com but that the attempt failed.
Comment 2 Alan Cox 2000-08-16 05:54:38 EDT
It is supposed to do these things. The patch I sent in puts all the messages on
the status bar of
the window which is better
Comment 3 Gene Czarcinski 2000-08-17 05:20:39 EDT
OK, so this is a "feature". But why do it when I have no intension of using
webfind?  Also, why aren't these files packaged with gnorpm?

Note You need to log in before you can comment on or make changes to this bug.